Boost.Geometry.Index

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Typedefs
Public Types | Public Member Functions
boost::geometry::index::detail::indexable< boost::tuple< Indexable, T1, T2, T3, T4, T5, T6, T7, T8, T9 >, false > Struct Template Reference

The function object extracting Indexable from Value. More...

`#include <indexable.hpp>`

List of all members.

## Public Types

typedef Indexable const & | result_type
| The type of result returned by function object.

## Public Member Functions

result_type | operator() (value_type const &v) const
| Return indexable extracted from the value.

## Detailed Description

### template<typename Indexable, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>
struct boost::geometry::index::detail::indexable< boost::tuple< Indexable, T1, T2, T3, T4, T5, T6, T7, T8, T9 >, false >

The function object extracting Indexable from Value.

This specialization translates from boost::tuple<Indexable, ...>.

Template Parameters:

  Indexable | The Indexable type.

## Member Function Documentation

template<typename Indexable , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >

result_type boost::geometry::index::detail::indexable< boost::tuple< Indexable, T1, T2, T3, T4, T5, T6, T7, T8, T9 >, false >::operator() | ( | value_type const & | v | ) | const`[inline]`

Return indexable extracted from the value.

Parameters:

  v | The value.

Returns:
  The indexable.

The documentation for this struct was generated from the following file:

- /home/travis/build/boostorg/boost/boost/geometry/index/indexable.hpp

All Classes Functions Typedefs